/*===============================
		W3-Style
=================================*/
.w3-hover-amber,
.w3-hover-aqua,
.w3-hover-blue,
.w3-hover-light-blue,
.w3-hover-brown,
.w3-hover-cyan,
.w3-hover-blue-grey,
.w3-hover-green,
.w3-hover-light-green,
.w3-hover-indigo,
.w3-hover-khaki,
.w3-hover-lime,
.w3-hover-orange,
.w3-hover-deep-orange,
.w3-hover-pink,
.w3-hover-purple,
.w3-hover-deep-purple,
.w3-hover-red,
.w3-hover-sand,
.w3-hover-teal,
.w3-hover-yellow,
.w3-hover-white,
.w3-hover-black,
.w3-hover-grey,
.w3-hover-light-grey,
.w3-hover-dark-grey,
.w3-hover-text-amber,
.w3-hover-text-aqua,
.w3-hover-text-blue,
.w3-hover-text-light-blue,
.w3-hover-text-brown,
.w3-hover-text-cyan,
.w3-hover-text-blue-grey,
.w3-hover-text-green,
.w3-hover-text-light-green,
.w3-hover-text-indigo,
.w3-hover-text-khaki,
.w3-hover-text-lime,
.w3-hover-text-orange,
.w3-hover-text-deep-orange,
.w3-hover-text-pink,
.w3-hover-text-purple,
.w3-hover-text-deep-purple,
.w3-hover-text-red,
.w3-hover-text-sand,
.w3-hover-text-teal,
.w3-hover-text-yellow,
.w3-hover-text-white,
.w3-hover-text-black,
.w3-hover-text-grey,
.w3-hover-text-light-grey,
.w3-hover-text-dark-grey {
    -webkit-transition: background-color .3s,color .15s,box-shadow .3s,opacity 0.3s;
    transition: background-color .3s,color .15s,box-shadow .3s,opacity 0.3s;
}

.w3-btn,
.w3-btn-block {
    border: none;
    display: inline-block;
    outline: 0;
    padding: 6px 16px;
    vertical-align: middle;
    overflow: hidden;
    text-decoration: none!important;
    color: #fff;
    background-color: #000;
    text-align: center;
    cursor: pointer;
    white-space: nowrap;
}

.w3-disabled,
.w3-btn:disabled,
.w3-btn-floating:disabled,
.w3-btn-floating-large:disabled {
    cursor: not-allowed;
    opacity: 0.3;
}

.w3-btn.w3-disabled *,
.w3-btn-block.w3-disabled,
.w3-btn-floating.w3-disabled *,
.w3-btn:disabled *,
.w3-btn-floating:disabled * {
    pointer-events: none;
}

.w3-btn.w3-disabled:hover,
.w3-btn-block.w3-disabled:hover,
.w3-btn:disabled:hover,
.w3-btn-floating.w3-disabled:hover,
.w3-btn-floating:disabled:hover,
.w3-btn-floating-large.w3-disabled:hover,
.w3-btn-floating-large:disabled:hover {
    box-shadow: none;
}

.w3-btn:hover,
.w3-btn-block:hover,
.w3-btn-floating:hover,
.w3-btn-floating-large:hover {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
}

.w3-btn-block {
    width: 100%;
}

.w3-btn,
.w3-btn-floating,
.w3-btn-floating-large,
.w3-closenav,
.w3-opennav {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.w3-btn-floating,
.w3-btn-floating-large {
    display: inline-block;
    text-align: center;
    color: #fff;
    background-color: #000;
    position: relative;
    overflow: hidden;
    z-index: 1;
    padding: 0;
    border-radius: 50%;
    cursor: pointer;
    font-size: 24px;
}

.w3-btn-floating {
    width: 40px;
    height: 40px;
    line-height: 40px;
}

.w3-btn-floating-large {
    width: 56px;
    height: 56px;
    line-height: 56px;
}

.w3-btn-group .w3-btn {
    float: left;
}

.w3-btn-bar .w3-btn {
    box-shadow: none;
    background-color: inherit;
    color: inherit;
    float: left;
}

.w3-btn-bar .w3-btn:hover {
    background-color: #ccc;
}

.w3-display-container {
    position: relative;
}

.w3-top,
.w3-bottom {
    position: fixed;
    width: 100%;
    z-index: 1;
}

.w3-top {
    top: 0;
}

.w3-bottom {
    bottom: 0;
}

.w3-overlay {
    position: fixed;
    display: none;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5);
    z-index: 2;
}

.w3-display-topleft {
    position: absolute;
    left: 0;
    top: 0;
}

.w3-display-topright {
    position: absolute;
    right: 0;
    top: 0;
}

.w3-display-bottomleft {
    position: absolute;
    left: 0;
    bottom: 0;
}

.w3-display-bottomright {
    position: absolute;
    right: 0;
    bottom: 0;
}

.w3-display-middle {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
}

.w3-display-left {
    position: absolute;
    top: 50%;
    left: 0%;
    transform: translate(0%,-50%);
    -ms-transform: translate(-0%,-50%);
}

.w3-display-right {
    position: absolute;
    top: 50%;
    right: 0%;
    transform: translate(0%,-50%);
    -ms-transform: translate(0%,-50%);
}

.w3-display-topmiddle {
    position: absolute;
    left: 50%;
    top: 0;
    transform: translate(-50%,0%);
    -ms-transform: translate(-50%,0%);
}

.w3-display-bottommiddle {
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translate(-50%,0%);
    -ms-transform: translate(-50%,0%);
}

.w3-display-container:hover .w3-display-hover {
    display: block;
}

.w3-display-container:hover span.w3-display-hover {
    display: inline-block;
}

.w3-display-hover {
    display: none;
}

.w3-display-position {
    position: absolute;
}

.w3-circle {
    border-radius: 50%;
}

.w3-round-small {
    border-radius: 2px;
}

.w3-round,
.w3-round-medium {
    border-radius: 4px;
}

.w3-round-large {
    border-radius: 8px;
}

.w3-round-xlarge {
    border-radius: 16px;
}

.w3-round-xxlarge {
    border-radius: 32px;
}

.w3-tiny {
    font-size: 10px!important;
}

.w3-small {
    font-size: 12px!important;
}

.w3-medium {
    font-size: 15px!important;
}

.w3-large {
    font-size: 18px!important;
}

.w3-xlarge {
    font-size: 24px!important;
}

.w3-xxlarge {
    font-size: 36px!important;
}

.w3-xxxlarge {
    font-size: 48px!important;
}

.w3-jumbo {
    font-size: 64px!important;
}

.w3-left-align {
    text-align: left!important;
}

.w3-right-align {
    text-align: right!important;
}

.w3-justify {
    text-align: justify!important;
}

.w3-center {
    text-align: center!important;
}

.w3-border-0 {
    border: 0!important;
}

.w3-border {
    border: 1px solid #ccc!important;
}

.w3-border-top {
    border-top: 1px solid #ccc!important;
}

.w3-border-bottom {
    border-bottom: 1px solid #ccc!important;
}

.w3-border-left {
    border-left: 1px solid #ccc!important;
}

.w3-border-right {
    border-right: 1px solid #ccc!important;
}

.w3-badge,
.w3-tag,
.w3-sign {
    background-color: #000;
    color: #fff;
    display: inline-block;
    padding-left: 8px;
    padding-right: 8px;
    text-align: center;
}

.w3-card {
    border: 1px solid #ccc;
}

.w3-card-2,
.w3-example {
    box-shadow: 0 2px 4px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12) !important;
    margin-top: 43px;
}

.w3-card-4,
.w3-hover-shadow:hover {
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19)!important;
}

.w3-card-8 {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19)!important;
}

.w3-card-12 {
    box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19)!important;
}

.w3-card-16 {
    box-shadow: 0 16px 24px 0 rgba(0,0,0,0.22),0 25px 55px 0 rgba(0,0,0,0.21)!important;
}

.w3-card-24 {
    box-shadow: 0 24px 24px 0 rgba(0,0,0,0.2),0 40px 77px 0 rgba(0,0,0,0.22)!important;
}

.w3-animate-fading {
    -webkit-animation: fading 10s infinite;
    animation: fading 10s infinite;
}

@-webkit-keyframes fading{
    0% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes fading{
    0% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.w3-animate-opacity {
    -webkit-animation: opac 1.5s;
    animation: opac 1.5s;
}

@-webkit-keyframes opac{
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes opac{
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.w3-animate-top {
    position: relative;
    -webkit-animation: animatetop 0.4s;
    animation: animatetop 0.4s;
}

@-webkit-keyframes animatetop{
    from {
        top: -300px;
        opacity: 0;
    }

    to {
        top: 0;
        opacity: 1;
    }
}

@keyframes animatetop{
    from {
        top: -300px;
        opacity: 0;
    }

    to {
        top: 0;
        opacity: 1;
    }
}

.w3-animate-left {
    position: relative;
    -webkit-animation: animateleft 0.4s;
    animation: animateleft 0.4s;
}

@-webkit-keyframes animateleft{
    from {
        left: -300px;
        opacity: 0;
    }

    to {
        left: 0;
        opacity: 1;
    }
}

@keyframes animateleft{
    from {
        left: -300px;
        opacity: 0;
    }

    to {
        left: 0;
        opacity: 1;
    }
}

.w3-animate-right {
    position: relative;
    -webkit-animation: animateright 0.4s;
    animation: animateright 0.4s;
}

@-webkit-keyframes animateright{
    from {
        right: -300px;
        opacity: 0;
    }

    to {
        right: 0;
        opacity: 1;
    }
}

@keyframes animateright{
    from {
        right: -300px;
        opacity: 0;
    }

    to {
        right: 0;
        opacity: 1;
    }
}

.w3-animate-bottom {
    position: relative;
    -webkit-animation: animatebottom 0.4s;
    animation: animatebottom 0.4s;
}

@-webkit-keyframes animatebottom{
    from {
        bottom: -300px;
        opacity: 0;
    }

    to {
        bottom: 0px;
        opacity: 1;
    }
}

@keyframes animatebottom{
    from {
        bottom: -300px;
        opacity: 0;
    }

    to {
        bottom: 0;
        opacity: 1;
    }
}

.w3-animate-zoom {
    -webkit-animation: animatezoom 0.6s;
    animation: animatezoom 0.6s;
}

@-webkit-keyframes animatezoom{
    from {
        -webkit-transform: scale(0);
    }

    to {
        -webkit-transform: scale(1);
    }
}

@keyframes animatezoom{
    from {
        transform: scale(0);
    }

    to {
        transform: scale(1);
    }
}

.w3-animate-input {
    -webkit-transition: width 0.4s ease-in-out;
    transition: width 0.4s ease-in-out;
}

.w3-animate-input:focus {
    width: 100%!important;
}

.w3-transparent {
    background-color: transparent!important;
}

.w3-hover-none:hover {
    box-shadow: none!important;
    background-color: transparent!important;
}

.w3-amber,
.w3-hover-amber:hover {
    color: #000!important;
    background-color: #ffc107!important;
}

.w3-burgundy,
.w3-hover-burgundy:hover {
    color: #000!important;
    background-color: #b22222 !important;
}

.w3-aqua,
.w3-hover-aqua:hover {
    color: #000!important;
    background-color: #00ffff!important;
}

.w3-blue,
.w3-hover-blue:hover {
    color: #fff!important;
    background-color: #2196F3!important;
}

.w3-light-blue,
.w3-hover-light-blue:hover {
    color: #000!important;
    background-color: #87CEEB!important;
}

.w3-brown,
.w3-hover-brown:hover {
    color: #fff!important;
    background-color: #795548!important;
}

.w3-cyan,
.w3-hover-cyan:hover {
    color: #000!important;
    background-color: #00bcd4!important;
}

.w3-blue-grey,
.w3-hover-blue-grey:hover {
    color: #fff!important;
    background-color: #607d8b!important;
}

.w3-green,
.w3-hover-green:hover {
    color: #fff!important;
    background-color: #4CAF50!important;
}

.w3-light-green,
.w3-hover-light-green:hover {
    color: #000!important;
    background-color: #8bc34a!important;
}

.w3-indigo,
.w3-hover-indigo:hover {
    color: #fff!important;
    background-color: #3f51b5!important;
}

.w3-khaki,
.w3-hover-khaki:hover {
    color: #000!important;
    background-color: #f0e68c!important;
}

.w3-lime,
.w3-hover-lime:hover {
    color: #000!important;
    background-color: #cddc39!important;
}

.w3-orange,
.w3-hover-orange:hover {
    color: #000!important;
    background-color: #ff9800!important;
}

.w3-deep-orange,
.w3-hover-deep-orange:hover {
    color: #fff!important;
    background-color: #ff5722!important;
}

.w3-pink,
.w3-hover-pink:hover {
    color: #fff!important;
    background-color: #e91e63!important;
}

.w3-purple,
.w3-hover-purple:hover {
    color: #fff!important;
    background-color: #9c27b0!important;
}

.w3-deep-purple,
.w3-hover-deep-purple:hover {
    color: #fff!important;
    background-color: #673ab7!important;
}

.w3-red,
.w3-hover-red:hover {
    color: #fff!important;
    background-color: #f44336!important;
}

.w3-sand,
.w3-hover-sand:hover {
    color: #000!important;
    background-color: #fdf5e6!important;
}

.w3-teal,
.w3-hover-teal:hover {
    color: #fff!important;
    background-color: #009688!important;
}

.w3-yellow,
.w3-hover-yellow:hover {
    color: #000!important;
    background-color: #ffeb3b!important;
}

.w3-white,
.w3-hover-white:hover {
    color: #000!important;
    background-color: #fff!important;
}

.w3-black,
.w3-hover-black:hover {
    color: #fff!important;
    background-color: #000!important;
}

.w3-grey,
.w3-hover-grey:hover {
    color: #000!important;
    background-color: #9e9e9e!important;
}

.w3-light-grey,
.w3-hover-light-grey:hover {
    color: #000!important;
    background-color: #f1f1f1!important;
}

.w3-dark-grey,
.w3-hover-dark-grey:hover {
    color: #fff!important;
    background-color: #616161!important;
}

.w3-pale-red,
.w3-hover-pale-red:hover {
    color: #000!important;
    background-color: #ffe7e7!important;
}

.w3-pale-green,
.w3-hover-pale-green:hover {
    color: #000!important;
    background-color: #e7ffe7!important;
}

.w3-pale-yellow,
.w3-hover-pale-yellow:hover {
    color: #000!important;
    background-color: #ffffd7!important;
}

.w3-pale-blue,
.w3-hover-pale-blue:hover {
    color: #000!important;
    background-color: #e7ffff!important;
}

.w3-text-amber,
.w3-hover-text-amber:hover {
    color: #ffc107!important;
}

.w3-text-aqua,
.w3-hover-text-aqua:hover {
    color: #00ffff!important;
}

.w3-text-blue,
.w3-hover-text-blue:hover {
    color: #2196F3!important;
}

.w3-text-light-blue,
.w3-hover-text-light-blue:hover {
    color: #87CEEB!important;
}

.w3-text-brown,
.w3-hover-text-brown:hover {
    color: #795548!important;
}

.w3-text-cyan,
.w3-hover-text-cyan:hover {
    color: #00bcd4!important;
}

.w3-text-blue-grey,
.w3-hover-text-blue-grey:hover {
    color: #607d8b!important;
}

.w3-text-green,
.w3-hover-text-green:hover {
    color: #4CAF50!important;
}

.w3-text-light-green,
.w3-hover-text-light-green:hover {
    color: #8bc34a!important;
}

.w3-text-indigo,
.w3-hover-text-indigo:hover {
    color: #3f51b5!important;
}

.w3-text-khaki,
.w3-hover-text-khaki:hover {
    color: #b4aa50!important;
}

.w3-text-lime,
.w3-hover-text-lime:hover {
    color: #cddc39!important;
}

.w3-text-orange,
.w3-hover-text-orange:hover {
    color: #ff9800!important;
}

.w3-text-deep-orange,
.w3-hover-text-deep-orange:hover {
    color: #ff5722!important;
}

.w3-text-pink,
.w3-hover-text-pink:hover {
    color: #e91e63!important;
}

.w3-text-purple,
.w3-hover-text-purple:hover {
    color: #9c27b0!important;
}

.w3-text-deep-purple,
.w3-hover-text-deep-purple:hover {
    color: #673ab7!important;
}

.w3-text-red,
.w3-hover-text-red:hover {
    color: #f44336!important;
}

.w3-text-sand,
.w3-hover-text-sand:hover {
    color: #fdf5e6!important;
}

.w3-text-teal,
.w3-hover-text-teal:hover {
    color: #009688!important;
}

.w3-text-yellow,
.w3-hover-text-yellow:hover {
    color: #d2be0e!important;
}

.w3-text-white,
.w3-hover-text-white:hover {
    color: #fff!important;
}

.w3-text-black,
.w3-hover-text-black:hover {
    color: #000!important;
}

.w3-text-grey,
.w3-hover-text-grey:hover {
    color: #757575!important;
}

.w3-text-light-grey,
.w3-hover-text-light-grey:hover {
    color: #f1f1f1!important;
}

.w3-text-dark-grey,
.w3-hover-text-dark-grey:hover {
    color: #3a3a3a!important;
}

.w3-border-amber,
.w3-hover-border-amber:hover {
    border-color: #ffc107!important;
}

.w3-border-aqua,
.w3-hover-border-aqua:hover {
    border-color: #00ffff!important;
}

.w3-border-blue,
.w3-hover-border-blue:hover {
    border-color: #2196F3!important;
}

.w3-border-light-blue,
.w3-hover-border-light-blue:hover {
    border-color: #87CEEB!important;
}

.w3-border-brown,
.w3-hover-border-brown:hover {
    border-color: #795548!important;
}

.w3-border-cyan,
.w3-hover-border-cyan:hover {
    border-color: #00bcd4!important;
}

.w3-border-blue-grey,
.w3-hover-blue-grey:hover {
    border-color: #607d8b!important;
}

.w3-border-green,
.w3-hover-border-green:hover {
    border-color: #4CAF50!important;
}

.w3-border-light-green,
.w3-hover-border-light-green:hover {
    border-color: #8bc34a!important;
}

.w3-border-indigo,
.w3-hover-border-indigo:hover {
    border-color: #3f51b5!important;
}

.w3-border-khaki,
.w3-hover-border-khaki:hover {
    border-color: #f0e68c!important;
}

.w3-border-lime,
.w3-hover-border-lime:hover {
    border-color: #cddc39!important;
}

.w3-border-orange,
.w3-hover-border-orange:hover {
    border-color: #ff9800!important;
}

.w3-border-deep-orange,
.w3-hover-border-deep-orange:hover {
    border-color: #ff5722!important;
}

.w3-border-pink,
.w3-hover-border-pink:hover {
    border-color: #e91e63!important;
}

.w3-border-purple,
.w3-hover-border-purple:hover {
    border-color: #9c27b0!important;
}

.w3-border-deep-purple,
.w3-hover-border-deep-purple:hover {
    border-color: #673ab7!important;
}

.w3-border-red,
.w3-hover-border-red:hover {
    border-color: #f44336!important;
}

.w3-border-sand,
.w3-hover-border-sand:hover {
    border-color: #fdf5e6!important;
}

.w3-border-teal,
.w3-hover-border-teal:hover {
    border-color: #009688!important;
}

.w3-border-yellow,
.w3-hover-border-yellow:hover {
    border-color: #ffeb3b!important;
}

.w3-border-white,
.w3-hover-border-white:hover {
    border-color: #fff!important;
}

.w3-border-black,
.w3-hover-border-black:hover {
    border-color: #000!important;
}

.w3-border-grey,
.w3-hover-border-grey:hover {
    border-color: #9e9e9e!important;
}

.w3-border-light-grey,
.w3-hover-border-light-grey:hover {
    border-color: #f1f1f1!important;
}

.w3-border-dark-grey,
.w3-hover-border-dark-grey:hover {
    border-color: #616161!important;
}

.w3-border-pale-red,
.w3-hover-border-pale-red:hover {
    border-color: #ffe7e7!important;
}

.w3-border-pale-green,
.w3-hover-border-pale-green:hover {
    border-color: #e7ffe7!important;
}

.w3-border-pale-yellow,
.w3-hover-border-pale-yellow:hover {
    border-color: #ffffd7!important;
}

.w3-border-pale-blue,
.w3-hover-border-pale-blue:hover {
    border-color: #e7ffff!important;
}

.w3-opacity,
.w3-hover-opacity:hover {
    opacity: 0.60;
    filter: alpha(opacity=60);
}

.w3-text-shadow {
    text-shadow: 1px 1px 0 #444;
}

.w3-text-shadow-white {
    text-shadow: 1px 1px 0 #ddd;
}